package cn.com.victorysoft.business.condition.dao;

import cn.com.victorysoft.business.condition.entity.FlushRecord;
import cn.com.victorysoft.business.sys.param.UnitDatePageParam;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface FlushRecordDao {
    List<FlushRecord> selectList(UnitDatePageParam param);

    int deleteByPrimaryKey(FlushRecord key);

    int insert(FlushRecord record);

    FlushRecord selectByPrimaryKey(FlushRecord key);

    int updateByPrimaryKeySelective(FlushRecord record);

    int updateByPrimaryKey(FlushRecord record);
}